import { __require as m } from "./index-utils10.js";
var n, h;
function f() {
  if (h) return n;
  h = 1;
  var E = m();
  function e(r, s, i, o, a) {
    Error.call(this), Error.captureStackTrace ? Error.captureStackTrace(this, this.constructor) : this.stack = new Error().stack, this.message = r, this.name = "AxiosError", s && (this.code = s), i && (this.config = i), o && (this.request = o), a && (this.response = a);
  }
  E.inherits(e, Error, {
    toJSON: function() {
      return {
        // Standard
        message: this.message,
        name: this.name,
        // Microsoft
        description: this.description,
        number: this.number,
        // Mozilla
        fileName: this.fileName,
        lineNumber: this.lineNumber,
        columnNumber: this.columnNumber,
        stack: this.stack,
        // Axios
        config: this.config,
        code: this.code,
        status: this.response && this.response.status ? this.response.status : null
      };
    }
  });
  var c = e.prototype, u = {};
  return [
    "ERR_BAD_OPTION_VALUE",
    "ERR_BAD_OPTION",
    "ECONNABORTED",
    "ETIMEDOUT",
    "ERR_NETWORK",
    "ERR_FR_TOO_MANY_REDIRECTS",
    "ERR_DEPRECATED",
    "ERR_BAD_RESPONSE",
    "ERR_BAD_REQUEST",
    "ERR_CANCELED",
    "ERR_NOT_SUPPORT",
    "ERR_INVALID_URL"
    // eslint-disable-next-line func-names
  ].forEach(function(r) {
    u[r] = { value: r };
  }), Object.defineProperties(e, u), Object.defineProperty(c, "isAxiosError", { value: !0 }), e.from = function(r, s, i, o, a, R) {
    var t = Object.create(c);
    return E.toFlatObject(r, t, function(_) {
      return _ !== Error.prototype;
    }), e.call(t, r.message, s, i, o, a), t.cause = r, t.name = r.name, R && Object.assign(t, R), t;
  }, n = e, n;
}
export {
  f as __require
};
